> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Cash Balance

> Update a cash balance record.



## OpenAPI

````yaml put /billing/cash-balance/{cash_balance_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/cash-balance/{cash_balance_id}:
    put:
      tags:
        - provider
        - billing
      summary: Update Cash Balance
      description: Update a cash balance record.
      operationId: update_cash_balance_billing_cash_balance__cash_balance_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: cash_balance_id
          in: path
          required: true
          schema:
            type: string
            title: Cash Balance Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CashBalanceUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CashBalanceSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CashBalanceUpdate:
      properties:
        closingBalance:
          anyOf:
            - type: integer
            - type: 'null'
          title: Closingbalance
          description: The closing balance amount in cents
        balanceDiscrepancy:
          anyOf:
            - type: integer
            - type: 'null'
          title: Balancediscrepancy
          description: The balance discrepancy amount in cents
        discrepancyAcknowledged:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Discrepancyacknowledged
          description: Whether the discrepancy has been acknowledged
        acknowledgedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Acknowledgedbyid
          description: The ID of the user who acknowledged the discrepancy
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
          description: The ID of the creator
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: The date and time the cash balance was created
      type: object
      title: CashBalanceUpdate
      description: Update a cash balance record.
    CashBalanceSummary:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the cash balance
        creatorId:
          type: string
          title: Creatorid
          description: The ID of the creator
        locationId:
          type: string
          title: Locationid
          description: The ID of the location
        closingBalance:
          type: integer
          title: Closingbalance
          description: The closing balance amount in cents
        balanceDiscrepancy:
          type: integer
          title: Balancediscrepancy
          description: The balance discrepancy amount in cents
        discrepancyAcknowledged:
          type: boolean
          title: Discrepancyacknowledged
          description: Whether the discrepancy has been acknowledged
          default: false
        acknowledgedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Acknowledgedbyid
          description: The ID of the user who acknowledged the discrepancy
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time the cash balance was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: The date and time the cash balance was last updated
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the cash balance record is archived/voided
          default: false
      type: object
      required:
        - id
        - creatorId
        - locationId
        - closingBalance
        - balanceDiscrepancy
        - createdDate
      title: CashBalanceSummary
      description: Summary of a cash balance record.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````